| Home | Libraries | People | FAQ | More

## Struct top

boost::xpressive::op::top

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    struct top {
      // member classes/structs/unions
      template<typename Sig>
      struct result {
      };
      template<typename This, typename Sequence>
      struct result<This(Sequence)> {
        // types
        typedef remove_reference< Sequence >::type                                                                                                    sequence_type;
        typedef mpl::if_c< is_const< sequence_type >::value, typename sequence_type::value_type const &, typename sequence_type::value_type & >::type type;
      };

      // public data members
      result< top(Sequence &)>::type operator();
    };

## Description